Skip to main content
POST
/
plan_configurations
cURL
curl --request POST \
  --url https://sandbox.withclasp.com/plan_configurations \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "plan": "<string>",
  "waiting_period": {
    "duration": 123,
    "allow_coinciding_start": true
  },
  "required_subclass": "<string>",
  "dependent_age_limit": 123,
  "base_plan_configuration": "<string>"
}
'
import requests

url = "https://sandbox.withclasp.com/plan_configurations"

payload = {
"plan": "<string>",
"waiting_period": {
"duration": 123,
"allow_coinciding_start": True
},
"required_subclass": "<string>",
"dependent_age_limit": 123,
"base_plan_configuration": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
plan: '<string>',
waiting_period: {duration: 123, allow_coinciding_start: true},
required_subclass: '<string>',
dependent_age_limit: 123,
base_plan_configuration: '<string>'
})
};

fetch('https://sandbox.withclasp.com/plan_configurations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "<string>",
  "plan": "<string>",
  "waiting_period": {
    "id": "<string>",
    "duration": 123,
    "allow_coinciding_start": true
  },
  "required_subclass": "<string>",
  "dependent_age_limit": 123,
  "base_plan_configuration": "<string>"
}

Authorizations

Authorization
string
header
required

API Key authentication with required prefix "Bearer"

Body

plan
string
required

ID of plan

waiting_period
object
required
required_subclass
string | null

ID of subclass

dependent_age_limit
integer | null

Maximum age for dependent coverage eligibility

dependent_age_out_rule
enum<string> | null
  • end_of_month - End Of Month
  • end_of_year - End Of Year
  • date_of_birth - Date Of Birth
Available options:
end_of_month,
end_of_year,
date_of_birth
base_plan_configuration
string | null

ID of the base plan configuration this inherits from

Response

201 - application/json
id
string
required
read-only
Pattern: ^[-a-zA-Z0-9_]+$
plan
string
required

ID of plan

termination_policy
enum<string>
required
  • termination_date - Termination Date
  • end_of_month - End Of Month
  • fifteenth_of_month - Fifteenth Of Month
Available options:
termination_date,
end_of_month,
fifteenth_of_month
waiting_period
object
required
required_subclass
string | null

ID of subclass

dependent_age_limit
integer | null

Maximum age for dependent coverage eligibility

dependent_age_out_rule
enum<string> | null
  • end_of_month - End Of Month
  • end_of_year - End Of Year
  • date_of_birth - Date Of Birth
Available options:
end_of_month,
end_of_year,
date_of_birth
base_plan_configuration
string | null

ID of the base plan configuration this inherits from